package nl.amis.view;

import java.util.ArrayList;
import java.util.List;

import javax.faces.application.Application;
import javax.faces.context.FacesContext;

import oracle.adf.model.binding.DCControlBinding;
import oracle.adf.model.binding.DCIteratorBinding;

import oracle.jbo.Key;
import oracle.jbo.domain.Number;
import oracle.jbo.uicli.binding.JUCtrlActionBinding;
import oracle.jbo.uicli.binding.JUCtrlHierNodeBinding;
import oracle.jbo.uicli.binding.JUFormBinding;

public class TreeHelper {
    public TreeHelper() {
    }
    
    private String key;
    private Number parentKey;
    private String parentType;
    private String nodeType;
    private Object node;

    public void setKey(String key) {
        this.key = key;
    }

    public String getKey() {
        return key;
    }

    public void setNode(Object node) {
        this.node = node;
        setNodeType(((String)((JUCtrlHierNodeBinding)node).getRow().getAttribute("NodeType")));        
        setParentType((String)((JUCtrlHierNodeBinding)node).getRow().getAttribute("ParentType"));        
        setKey(((Number)((JUCtrlHierNodeBinding)node).getRow().getAttribute("NodeKey")).toString());
        setParentKey((Number)((JUCtrlHierNodeBinding)node).getRow().getAttribute("ParentKey"));
    }

    public Object getNode() {
        return node;
    }

    public void setNodeType(String nodeType) {
        this.nodeType = nodeType;
    }

    public String getNodeType() {
        return nodeType;
    }

    public void setParentKey(Number parentKey) {
        this.parentKey = parentKey;
    }

    public Number getParentKey() {
        return parentKey;
    }


    public String action() {
    System.out.println("Action");
        System.out.println("NodeType="+getNodeType());
        System.out.println("NodeKey="+getKey());
        System.out.println("ParentKey="+getParentKey());
        System.out.println("ParentType="+getParentType());
        if ("subLabel".equalsIgnoreCase(nodeType))
          return "StartSubordinatesUnderEmployee";
        if ("clerksLabel".equalsIgnoreCase(nodeType))
          return "StartClerksInDepartment";
        if ("salesmenLabel".equalsIgnoreCase(nodeType))
          return "StartSalesmenInDepartment";
          
        if ("loc".equalsIgnoreCase(nodeType))
          return "DeepLinkLocations";
        if ("dept".equalsIgnoreCase(nodeType))
          return "DeepLinkDept";
        if ("emp".equalsIgnoreCase(nodeType))
          return "DeepLinkEmp";
        return "";  
    }

    public void setParentType(String parentType) {
        this.parentType = parentType;
    }

    public String getParentType() {
        return parentType;
    }
}
